Get Deployment upgrade assistant status
Server:
https://api.elastic-cloud.com/api/v1
- GET /deployments/{deployment_id}/upgrade_assistant/status
Get details about an Elasticsearch resource belonging to a given deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Query Parameters
-
target_versionstring If present, value is included in resource request to provide additional context (only supported for Kibana)
Responses
The Upgrade Assistant returned the status successfully
-
ready_for_upgradebooleanrequired -
A boolean indicating whether or not the cluster is ready to be upgraded
-
detailsstringrequired -
Message with information about the number of Elasticsearch and Kibana deprecations
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response